Description: Remove old lz4 test
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/881986
Forwarded: not-needed
Last-Update: 2019-09-08

Index: python-kafka/test/test_codec.py
===================================================================
--- python-kafka.orig/test/test_codec.py
+++ python-kafka/test/test_codec.py
@@ -96,16 +96,6 @@ def test_lz4():
 
 @pytest.mark.skipif(not has_lz4() or platform.python_implementation() == 'PyPy',
                     reason="python-lz4 crashes on old versions of pypy")
-def test_lz4_old():
-    for i in range(1000):
-        b1 = random_string(100).encode('utf-8')
-        b2 = lz4_decode_old_kafka(lz4_encode_old_kafka(b1))
-        assert len(b1) == len(b2)
-        assert b1 == b2
-
-
-@pytest.mark.skipif(not has_lz4() or platform.python_implementation() == 'PyPy',
-                    reason="python-lz4 crashes on old versions of pypy")
 def test_lz4_incremental():
     for i in range(1000):
         # lz4 max single block size is 4MB
